<?php
defined('IN_COPPERMINE') or die('Not in Coppermine...');

$thisplugin->add_filter('html_other_media','video_thumb_html');

function video_thumb_html ($inHtml)
{
    global $CONFIG, $CURRENT_PIC_DATA, $lang_plugin_video_thumb;

	if (!GALLERY_ADMIN_MODE) return $inHtml;
	if (!strpos($inHtml, '<video ')) return $inHtml;

	js_include('plugins/video_thumb/js/video_thumb.js');
	$html = str_replace('<video ', '<video id="v2thumb" ', $inHtml);
	$html .= '<div style="display:none"><canvas id="video-canvas"></canvas><img id="vidover" src="plugins/video_thumb/vidover.png" /></div>';
	$html .= '<div><br /><button onclick="send_thumb('.$CURRENT_PIC_DATA['pid'].')">'.$lang_plugin_video_thumb['set_thumb'].'</button></div>';

	if ($CONFIG['thumb_use']=='ex') set_js_var('thumb_height', $CONFIG['thumb_height']);
	set_js_var('vidthm_done', $lang_plugin_video_thumb['set_done']);

    return $html;
}
