function send_thumb (pid) {
	var _CANVAS = document.getElementById("video-canvas"),
		_CTX = _CANVAS.getContext("2d"),
		_VIDEO = document.getElementById("v2thumb"),
		_VIDOVR = document.getElementById("vidover"),
		_sx = 0, _sy = 0,
		_sw = _VIDEO.videoWidth,
		_sh = _VIDEO.videoHeight,
		_dx = 0, _dy = 0,
		_dw = js_vars.thumb_width,
		_dh = 0,
		_sr = 0,
		_ow = _VIDOVR.width,
		_oh = _VIDOVR.height
		;

	// calculate rects
	if (js_vars.thumb_use == 'ex') {
		_dh = js_vars.thumb_height;
		_sr = Math.min(_sh/_dh, _sw/_dw);
		_sw = Math.round(_dw * _sr);
		_sh = Math.round(_dh * _sr);
		_sx = (_VIDEO.videoWidth - _sw) > 0 ? (_VIDEO.videoWidth - _sw) >> 1 : 0;
	} else {
		_sr = _sw / _sh;
		_dh = Math.round(_dw / _sr);
	}

	_CANVAS.width = _dw;
	_CANVAS.height = _dh;
	_CTX.drawImage(_VIDEO, _sx, _sy, _sw, _sh, _dx, _dy, _dw, _dh);
	_CTX.drawImage(_VIDOVR, 0, 0, _ow, _oh, 3, 3, _ow, _oh);

	var dataURL = _CANVAS.toDataURL('image/jpeg', 0.8);
	$.ajax({
		type: "POST",
		url: "plugins/video_thumb/upimage.php",
		data: {
			"pid": pid,
			"imgBase64": dataURL
		}
	}).done(function(o) {
		console.log(o);
		if (o) alert(o);
		else alert(js_vars.vidthm_done);
	});

}